## compton 0.1~beta1

=== Makefile ===
# Use tab to indent recipe lines, spaces to indent other lines, otherwise
# GNU make may get unhappy.

CC ?= gcc

PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man/man1
APPDIR ?= $(PREFIX)/share/applications

PACKAGES = x11 xcomposite xfixes xdamage xrender xext xrandr
LIBS = -lm -lrt
INCS =

OBJS = compton.o

# === Configuration flags ===
CFG = -std=c99

# ==== libconfig ====
ifeq "$(NO_LIBCONFIG)" ""
  CFG += -DCONFIG_LIBCONFIG
  PACKAGES += libconfig

  # libconfig-1.3* does not define LIBCONFIG_VER* macros, so we use
  # pkg-config to determine its version here
  CFG += $(shell pkg-config --atleast-version=1.4 libconfig || echo '-DCONFIG_LIBCONFIG_LEGACY')
endif

# ==== PCRE regular expression ====
ifeq "$(NO_REGEX_PCRE)" ""
  CFG += -DCONFIG_REGEX_PCRE
  LIBS += $(shell pcre-config --libs)
  INCS += $(shell pcre-config --cflags)
  ifeq "$(NO_REGEX_PCRE_JIT)" ""
    CFG += -DCONFIG_REGEX_PCRE_JIT
  endif
endif

# ==== DRM VSync ====
ifeq "$(NO_VSYNC_DRM)" ""
  INCS += $(shell pkg-config --cflags libdrm)
  CFG += -DCONFIG_VSYNC_DRM
endif

# ==== OpenGL VSync ====
ifeq "$(NO_VSYNC_OPENGL)" ""
  CFG += -DCONFIG_VSYNC_OPENGL
  # -lGL must precede some other libraries, or it segfaults on FreeBSD (#74)
  LIBS := -lGL $(LIBS)
  OBJS += opengl.o
  ifeq "$(NO_VSYNC_OPENGL_GLSL)" ""
    CFG += -DCONFIG_VSYNC_OPENGL_GLSL
  endif
  ifeq "$(NO_VSYNC_OPENGL_FBO)" ""
    CFG += -DCONFIG_VSYNC_OPENGL_FBO
  endif
  ifeq "$(NO_VSYNC_OPENGL_VBO)" ""
    CFG += -DCONFIG_VSYNC_OPENGL_VBO
  endif
endif

# ==== D-Bus ====
ifeq "$(NO_DBUS)" ""
  CFG += -DCONFIG_DBUS
  PACKAGES += dbus-1
  OBJS += dbus.o
endif

# ==== C2 ====
ifeq "$(NO_C2)" ""
  CFG += -DCONFIG_C2
  OBJS += c2.o
endif

# === Version string ===
COMPTON_VERSION ?= git-$(shell git describe --always --dirty)-$(shell git log -1 --date=short --pretty=format:%cd)
CFG += -DCOMPTON_VERSION="\"$(COMPTON_VERSION)\""

LDFLAGS ?= -Wl,-O1 -Wl,--as-needed

ifeq "$(CFG_DEV)" ""
  CFLAGS ?= -DNDEBUG -O2 -D_FORTIFY_SOURCE=2
else
  CC = clang
  export LD_ALTEXEC = /usr/bin/ld.gold
  OBJS += backtrace-symbols.o
  LIBS += -lbfd
  CFLAGS += -ggdb -Wshadow
  # CFLAGS += -Weverything -Wno-disabled-macro-expansion -Wno-padded -Wno-gnu
endif

LIBS += $(shell pkg-config --libs $(PACKAGES))
INCS += $(shell pkg-config --cflags $(PACKAGES))

CFLAGS += -Wall

BINS = compton bin/compton-trans
MANPAGES = man/compton.1 man/compton-trans.1
MANPAGES_HTML = $(addsuffix .html,$(MANPAGES))

# === Recipes ===
.DEFAULT_GOAL := compton

src/.clang_complete: Makefile
	@(for i in $(filter-out -O% -DNDEBUG, $(CFG) $(CFLAGS) $(INCS)); do echo "$$i"; done) > $@

%.o: src/%.c src/%.h src/common.h
	$(CC) $(CFG) $(CFLAGS) $(INCS) -c src/$*.c

compton: $(OBJS)
	$(CC) $(CFG) $(LDFLAGS) $(CFLAGS) -o $@ $(OBJS) $(LIBS)

man/%.1: man/%.1.asciidoc
	a2x --format manpage $<

man/%.1.html: man/%.1.asciidoc
	asciidoc $<

docs: $(MANPAGES) $(MANPAGES_HTML)

install: $(BINS) docs
	@install -d "$(DESTDIR)$(BINDIR)" "$(DESTDIR)$(MANDIR)" "$(DESTDIR)$(APPDIR)"
	@install -m755 $(BINS) "$(DESTDIR)$(BINDIR)"/ 
	@install -m644 $(MANPAGES) "$(DESTDIR)$(MANDIR)"/
	@install -m644 compton.desktop "$(DESTDIR)$(APPDIR)"/
ifneq "$(DOCDIR)" ""
	@install -d "$(DESTDIR)$(DOCDIR)"
	@install -m644 README.md compton.sample.conf "$(DESTDIR)$(DOCDIR)"/
	@install -m755 dbus-examples/cdbus-driver.sh "$(DESTDIR)$(DOCDIR)"/
endif

uninstall:
	@rm -f "$(DESTDIR)$(BINDIR)/compton" "$(DESTDIR)$(BINDIR)/compton-trans"
	@rm -f $(addprefix "$(DESTDIR)$(MANDIR)"/, compton.1 compton-trans.1)
	@rm -f "$(DESTDIR)$(APPDIR)/compton.desktop"
ifneq "$(DOCDIR)" ""
	@rm -f $(addprefix "$(DESTDIR)$(DOCDIR)"/, README.md compton.sample.conf cdbus-driver.sh)
endif

clean:
	@rm -f $(OBJS) compton $(MANPAGES) $(MANPAGES_HTML) .clang_complete

version:
	@echo "$(COMPTON_VERSION)"

.PHONY: uninstall clean docs version

=== debian/changelog ===
compton (0.1~beta1-1) unstable; urgency=low

  * Initial release (Closes: #679551)

 -- Scott Leggett <scott@sl.id.au>  Wed, 21 Aug 2013 20:13:37 +1000

=== debian/control ===
Source: compton
Section: x11
Priority: extra
Maintainer: Scott Leggett <scott@sl.id.au>
Build-Depends:
 asciidoc,
 debhelper (>= 9.0.0),
 docbook-xml,
 docbook-xsl,
 hardening-wrapper,
 libconfig-dev,
 libdbus-1-dev,
 libdrm-dev,
 libgl1-mesa-dev,
 libpcre3-dev,
 libx11-dev,
 libxcomposite-dev,
 libxdamage-dev,
 libxext-dev,
 libxfixes-dev,
 libxml2-utils,
 libxrandr-dev,
 libxrender-dev,
 pkg-config,
 xsltproc
Standards-Version: 3.9.4
Homepage: https://github.com/chjj/compton
Vcs-Git: git://github.com/smlx/package-compton.git
Vcs-Browser: https://github.com/smlx/package-compton

Package: compton
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: compositor for X11, based on xcompmgr
 compton is a compositor for X11, based on xcompmgr. In addition to shadows,
 fading and translucency, compton implements window frame opacity control,
 inactive window transparency, and shadows on argb windows.

=== debian/rules ===
#!/usr/bin/make -f

# Set binary version
export COMPTON_VERSION = 0.1~beta1

%:
	dh $@

## compton 0.1~beta2

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,12 @@
 
 # === Configuration flags ===
 CFG = -std=c99
+
+# ==== Xinerama ====
+ifeq "$(NO_XINERAMA)" ""
+  CFG += -DCONFIG_XINERAMA
+  PACKAGES += xinerama
+endif
 
 # ==== libconfig ====
 ifeq "$(NO_LIBCONFIG)" ""
@@ -43,7 +49,7 @@
   CFG += -DCONFIG_VSYNC_DRM
 endif
 
-# ==== OpenGL VSync ====
+# ==== OpenGL ====
 ifeq "$(NO_VSYNC_OPENGL)" ""
   CFG += -DCONFIG_VSYNC_OPENGL
   # -lGL must precede some other libraries, or it segfaults on FreeBSD (#74)
@@ -103,13 +109,13 @@
 .DEFAULT_GOAL := compton
 
 src/.clang_complete: Makefile
-	@(for i in $(filter-out -O% -DNDEBUG, $(CFG) $(CFLAGS) $(INCS)); do echo "$$i"; done) > $@
+	@(for i in $(filter-out -O% -DNDEBUG, $(CFG) $(CPPFLAGS) $(CFLAGS) $(INCS)); do echo "$$i"; done) > $@
 
 %.o: src/%.c src/%.h src/common.h
-	$(CC) $(CFG) $(CFLAGS) $(INCS) -c src/$*.c
+	$(CC) $(CFG) $(CPPFLAGS) $(CFLAGS) $(INCS) -c src/$*.c
 
 compton: $(OBJS)
-	$(CC) $(CFG) $(LDFLAGS) $(CFLAGS) -o $@ $(OBJS) $(LIBS)
+	$(CC) $(CFG) $(CPPFLAGS) $(LDFLAGS) $(CFLAGS) -o $@ $(OBJS) $(LIBS)
 
 man/%.1: man/%.1.asciidoc
 	a2x --format manpage $<

=== debian/changelog ===
compton (0.1~beta2-1) unstable; urgency=low

  * New upstream release, 0.1~beta2.
  * Drop unnecessary dependency on hardening-wrapper.
  * Add libxinerama-dev dependency due to upstream changes.
  * Change licence tag to Expat.
  * Update patches.

 -- Scott Leggett <scott@sl.id.au>  Sun, 03 Nov 2013 19:55:25 +1100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  debhelper (>= 9.0.0),
  docbook-xml,
  docbook-xsl,
- hardening-wrapper,
  libconfig-dev,
  libdbus-1-dev,
  libdrm-dev,
@@ -18,6 +17,7 @@
  libxdamage-dev,
  libxext-dev,
  libxfixes-dev,
+ libxinerama-dev,
  libxml2-utils,
  libxrandr-dev,
  libxrender-dev,

=== debian/rules ===
#!/usr/bin/make -f

# Set binary version
export COMPTON_VERSION = 0.1~beta2

%:
	dh $@

## compton 0.1~beta2%2B20150922-1%2B9.0trisquel7

=== debian/changelog ===
compton (0.1~beta2+20150922-1+9.0trisquel7) etiona; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 20:18:00 +0000

compton (0.1~beta2+20150922-1) unstable; urgency=low

  * Update to upstream git snapshot (v0.1_beta2-83-g2343e4b)
  * Remove old patches which no longer apply.
  * Update package VCS URLs.
  * Bump Standards-Version from 3.9.4 to 3.9.7.
  * Update copyright holder information.
  * Set hardcoded version string to that in debian/changelog.
  * Enable all hardening build options.
  * Add patch for keywords entry in .desktop file.
  * Patch bashism in compton-trans script. (Closes: #772216)

 -- Scott Leggett <scott@sl.id.au>  Wed, 27 Apr 2016 14:39:44 +1000

=== debian/control ===
--- 
+++ 
@@ -23,14 +23,14 @@
  libxrender-dev,
  pkg-config,
  xsltproc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.7
 Homepage: https://github.com/chjj/compton
-Vcs-Git: git://github.com/smlx/package-compton.git
-Vcs-Browser: https://github.com/smlx/package-compton
+Vcs-Git: https://gitlab.com/smlx/compton.git
+Vcs-Browser: https://gitlab.com/smlx/compton
 
 Package: compton
 Architecture: any
-Depends:
+Depends: zenity,  mesa-utils, 
  ${misc:Depends},
  ${shlibs:Depends}
 Description: compositor for X11, based on xcompmgr

## compton 0.1~beta2%2B20150922-1%2B9.0trisquel9

=== debian/changelog ===
compton (0.1~beta2+20150922-1+9.0trisquel9) etiona; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 16 Jun 2020 05:13:05 +0000

## compton 0.1~beta2%2B20150922-1%2B10.0trisquel11

=== debian/changelog ===
compton (0.1~beta2+20150922-1+10.0trisquel11) nabia; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 06 Dec 2021 12:18:18 +0000

## compton 0.1~beta2+20150922

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/share/man/man1
 APPDIR ?= $(PREFIX)/share/applications
+ICODIR ?= $(PREFIX)/share/icons/hicolor/
 
 PACKAGES = x11 xcomposite xfixes xdamage xrender xext xrandr
 LIBS = -lm -lrt
@@ -18,12 +19,14 @@
 CFG = -std=c99
 
 # ==== Xinerama ====
+# Enables support for --xinerama-shadow-crop
 ifeq "$(NO_XINERAMA)" ""
   CFG += -DCONFIG_XINERAMA
   PACKAGES += xinerama
 endif
 
 # ==== libconfig ====
+# Enables configuration file parsing support
 ifeq "$(NO_LIBCONFIG)" ""
   CFG += -DCONFIG_LIBCONFIG
   PACKAGES += libconfig
@@ -34,49 +37,71 @@
 endif
 
 # ==== PCRE regular expression ====
+# Enables support for PCRE regular expression pattern in window conditions
 ifeq "$(NO_REGEX_PCRE)" ""
   CFG += -DCONFIG_REGEX_PCRE
   LIBS += $(shell pcre-config --libs)
   INCS += $(shell pcre-config --cflags)
+  # Enables JIT support in libpcre
   ifeq "$(NO_REGEX_PCRE_JIT)" ""
     CFG += -DCONFIG_REGEX_PCRE_JIT
   endif
 endif
 
 # ==== DRM VSync ====
+# Enables support for "drm" VSync method
 ifeq "$(NO_VSYNC_DRM)" ""
   INCS += $(shell pkg-config --cflags libdrm)
   CFG += -DCONFIG_VSYNC_DRM
 endif
 
 # ==== OpenGL ====
+# Enables support for GLX backend, OpenGL VSync methods, etc.
 ifeq "$(NO_VSYNC_OPENGL)" ""
   CFG += -DCONFIG_VSYNC_OPENGL
   # -lGL must precede some other libraries, or it segfaults on FreeBSD (#74)
   LIBS := -lGL $(LIBS)
   OBJS += opengl.o
+  # Enables support for GLSL (GLX background blur, etc.)
   ifeq "$(NO_VSYNC_OPENGL_GLSL)" ""
     CFG += -DCONFIG_VSYNC_OPENGL_GLSL
   endif
+  # Enables support for GL FBO (GLX multi-pass blur, etc.)
   ifeq "$(NO_VSYNC_OPENGL_FBO)" ""
     CFG += -DCONFIG_VSYNC_OPENGL_FBO
   endif
+  # Enables support for GL VBO (does nothing right now)
   ifeq "$(NO_VSYNC_OPENGL_VBO)" ""
     CFG += -DCONFIG_VSYNC_OPENGL_VBO
   endif
 endif
 
 # ==== D-Bus ====
+# Enables support for --dbus (D-Bus remote control)
 ifeq "$(NO_DBUS)" ""
   CFG += -DCONFIG_DBUS
   PACKAGES += dbus-1
   OBJS += dbus.o
 endif
 
+# ==== X Sync ====
+# Enables support for --xrender-sync-fence
+ifeq "$(NO_XSYNC)" ""
+  CFG += -DCONFIG_XSYNC
+endif
+
 # ==== C2 ====
+# Enable window condition support
 ifeq "$(NO_C2)" ""
   CFG += -DCONFIG_C2
   OBJS += c2.o
+endif
+
+# ==== X resource checker ====
+# Enable X resource leakage checking (Pixmap only, presently)
+ifneq "$(ENABLE_XRESCHECK)" ""
+  CFG += -DDEBUG_XRC
+  OBJS += xrescheck.o
 endif
 
 # === Version string ===
@@ -127,8 +152,15 @@
 
 install: $(BINS) docs
 	@install -d "$(DESTDIR)$(BINDIR)" "$(DESTDIR)$(MANDIR)" "$(DESTDIR)$(APPDIR)"
-	@install -m755 $(BINS) "$(DESTDIR)$(BINDIR)"/ 
+	@install -m755 $(BINS) "$(DESTDIR)$(BINDIR)"/
+ifneq "$(MANPAGES)" ""
 	@install -m644 $(MANPAGES) "$(DESTDIR)$(MANDIR)"/
+endif
+	@install -d \
+		"$(DESTDIR)$(ICODIR)/scalable/apps" \
+		"$(DESTDIR)$(ICODIR)/48x48/apps"
+	@install -m644 media/compton.svg "$(DESTDIR)$(ICODIR)/scalable/apps"/
+	@install -m644 media/icons/48x48/compton.png "$(DESTDIR)$(ICODIR)/48x48/apps"/
 	@install -m644 compton.desktop "$(DESTDIR)$(APPDIR)"/
 ifneq "$(DOCDIR)" ""
 	@install -d "$(DESTDIR)$(DOCDIR)"

=== man/CMakeLists.txt ===
option(NEW_DOC "Build new man pages and HTML documentation" ON)

# == Build documentation ==
# Stolen from https://issues.apache.org/jira/secure/attachment/12455612/AVRO-470.patch
if (NEW_DOC)
	set (MAN_SRC
		compton.1.asciidoc
		compton-trans.1.asciidoc
	)

	find_program(ASCIIDOC_EXEC asciidoc)
	find_program(ASCIIDOC_A2X_EXEC a2x)
	if (ASCIIDOC_EXEC AND ASCIIDOC_A2X_EXEC)
		foreach(_file ${MAN_SRC})
			# get_filename_component() does not handle ".1.asciidoc"
			# correctly
			string(REPLACE ".asciidoc" "" _file_we "${_file}")
			set(_file_path "${CMAKE_CURRENT_SOURCE_DIR}/${_file}")
			set(_html_out "${_file_we}.html")
			set(_man_out "${_file_we}")
			add_custom_target(compton_man_${_file_we} ALL
				COMMAND ${ASCIIDOC_A2X_EXEC} --format manpage
					"${_file_path}"
				DEPENDS "${_file_path}"
			)
			add_custom_command(
				OUTPUT "${_html_out}"
				COMMAND ${ASCIIDOC_EXEC} -o "${_html_out}" "${_file_path}"
				DEPENDS "${_file_path}"
			)
			add_custom_target(compton_html_${_file_we} ALL
				DEPENDS "${_html_out}"
			)
		endforeach(_file)
	else(ASCIIDOC_EXEC AND ASCIIDOC_A2X_EXEC)
		message(WARNING "asciidoc/a2x not found. New man pages and HTML documentation will not be built.")
	endif(ASCIIDOC_EXEC AND ASCIIDOC_A2X_EXEC)
endif(NEW_DOC)

# == Install ==
include(GNUInstallDirs)

install(FILES
	"compton.1"
	"compton-trans.1"
	DESTINATION "${CMAKE_INSTALL_MANDIR}/man1" COMPONENT doc)

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 Package: compton
 Architecture: any
-Depends: zenity,  mesa-utils, 
+Depends:
  ${misc:Depends},
  ${shlibs:Depends}
 Description: compositor for X11, based on xcompmgr

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Set binary version
include /usr/share/dpkg/pkg-info.mk
export COMPTON_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@

=== debian/watch ===
version=3
opts="uversionmangle=s/_/~/" \
https://github.com/chjj/compton/tags .*/v(\d[\d\.\w]+)\.tar\.gz

## compton 0.1~beta2+20150922-1+10.0trisquel9

=== debian/changelog ===
compton (0.1~beta2+20150922-1+10.0trisquel9) nabia; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 30 Jul 2021 23:54:33 +0000

## compton 0.1~beta2+20150922-1+10.0trisquel10

=== debian/changelog ===
compton (0.1~beta2+20150922-1+10.0trisquel10) nabia; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 29 Nov 2021 20:01:29 +0000

## compton 0.1~beta2-1%2B8.0trisquel7

=== debian/changelog ===
compton (0.1~beta2-1+8.0trisquel7) flidas; urgency=medium

  * Backported into Toutatis

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 14 Aug 2016 04:42:58 +0000

=== debian/control ===
--- 
+++ 
@@ -23,14 +23,14 @@
  libxrender-dev,
  pkg-config,
  xsltproc
-Standards-Version: 3.9.7
+Standards-Version: 3.9.4
 Homepage: https://github.com/chjj/compton
-Vcs-Git: https://gitlab.com/smlx/compton.git
-Vcs-Browser: https://gitlab.com/smlx/compton
+Vcs-Git: git://github.com/smlx/package-compton.git
+Vcs-Browser: https://github.com/smlx/package-compton
 
 Package: compton
 Architecture: any
-Depends:
+Depends: zenity,  mesa-utils, 
  ${misc:Depends},
  ${shlibs:Depends}
 Description: compositor for X11, based on xcompmgr

## compton 0.1~beta2-1+6.0trisquel3

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,6 @@
 PREFIX ?= /usr
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/share/man/man1
-APPDIR ?= $(PREFIX)/share/applications
-ICODIR ?= $(PREFIX)/share/icons/hicolor/
 
 PACKAGES = x11 xcomposite xfixes xdamage xrender xext xrandr
 LIBS = -lm -lrt
@@ -19,14 +17,12 @@
 CFG = -std=c99
 
 # ==== Xinerama ====
-# Enables support for --xinerama-shadow-crop
 ifeq "$(NO_XINERAMA)" ""
   CFG += -DCONFIG_XINERAMA
   PACKAGES += xinerama
 endif
 
 # ==== libconfig ====
-# Enables configuration file parsing support
 ifeq "$(NO_LIBCONFIG)" ""
   CFG += -DCONFIG_LIBCONFIG
   PACKAGES += libconfig
@@ -37,71 +33,49 @@
 endif
 
 # ==== PCRE regular expression ====
-# Enables support for PCRE regular expression pattern in window conditions
 ifeq "$(NO_REGEX_PCRE)" ""
   CFG += -DCONFIG_REGEX_PCRE
   LIBS += $(shell pcre-config --libs)
   INCS += $(shell pcre-config --cflags)
-  # Enables JIT support in libpcre
   ifeq "$(NO_REGEX_PCRE_JIT)" ""
     CFG += -DCONFIG_REGEX_PCRE_JIT
   endif
 endif
 
 # ==== DRM VSync ====
-# Enables support for "drm" VSync method
 ifeq "$(NO_VSYNC_DRM)" ""
   INCS += $(shell pkg-config --cflags libdrm)
   CFG += -DCONFIG_VSYNC_DRM
 endif
 
 # ==== OpenGL ====
-# Enables support for GLX backend, OpenGL VSync methods, etc.
 ifeq "$(NO_VSYNC_OPENGL)" ""
   CFG += -DCONFIG_VSYNC_OPENGL
   # -lGL must precede some other libraries, or it segfaults on FreeBSD (#74)
   LIBS := -lGL $(LIBS)
   OBJS += opengl.o
-  # Enables support for GLSL (GLX background blur, etc.)
   ifeq "$(NO_VSYNC_OPENGL_GLSL)" ""
     CFG += -DCONFIG_VSYNC_OPENGL_GLSL
   endif
-  # Enables support for GL FBO (GLX multi-pass blur, etc.)
   ifeq "$(NO_VSYNC_OPENGL_FBO)" ""
     CFG += -DCONFIG_VSYNC_OPENGL_FBO
   endif
-  # Enables support for GL VBO (does nothing right now)
   ifeq "$(NO_VSYNC_OPENGL_VBO)" ""
     CFG += -DCONFIG_VSYNC_OPENGL_VBO
   endif
 endif
 
 # ==== D-Bus ====
-# Enables support for --dbus (D-Bus remote control)
 ifeq "$(NO_DBUS)" ""
   CFG += -DCONFIG_DBUS
   PACKAGES += dbus-1
   OBJS += dbus.o
 endif
 
-# ==== X Sync ====
-# Enables support for --xrender-sync-fence
-ifeq "$(NO_XSYNC)" ""
-  CFG += -DCONFIG_XSYNC
-endif
-
 # ==== C2 ====
-# Enable window condition support
 ifeq "$(NO_C2)" ""
   CFG += -DCONFIG_C2
   OBJS += c2.o
-endif
-
-# ==== X resource checker ====
-# Enable X resource leakage checking (Pixmap only, presently)
-ifneq "$(ENABLE_XRESCHECK)" ""
-  CFG += -DDEBUG_XRC
-  OBJS += xrescheck.o
 endif
 
 # === Version string ===
@@ -151,17 +125,9 @@
 docs: $(MANPAGES) $(MANPAGES_HTML)
 
 install: $(BINS) docs
-	@install -d "$(DESTDIR)$(BINDIR)" "$(DESTDIR)$(MANDIR)" "$(DESTDIR)$(APPDIR)"
-	@install -m755 $(BINS) "$(DESTDIR)$(BINDIR)"/
-ifneq "$(MANPAGES)" ""
+	@install -d "$(DESTDIR)$(BINDIR)" "$(DESTDIR)$(MANDIR)"
+	@install -m755 $(BINS) "$(DESTDIR)$(BINDIR)"/ 
 	@install -m644 $(MANPAGES) "$(DESTDIR)$(MANDIR)"/
-endif
-	@install -d \
-		"$(DESTDIR)$(ICODIR)/scalable/apps" \
-		"$(DESTDIR)$(ICODIR)/48x48/apps"
-	@install -m644 media/compton.svg "$(DESTDIR)$(ICODIR)/scalable/apps"/
-	@install -m644 media/icons/48x48/compton.png "$(DESTDIR)$(ICODIR)/48x48/apps"/
-	@install -m644 compton.desktop "$(DESTDIR)$(APPDIR)"/
 ifneq "$(DOCDIR)" ""
 	@install -d "$(DESTDIR)$(DOCDIR)"
 	@install -m644 README.md compton.sample.conf "$(DESTDIR)$(DOCDIR)"/
@@ -171,7 +137,6 @@
 uninstall:
 	@rm -f "$(DESTDIR)$(BINDIR)/compton" "$(DESTDIR)$(BINDIR)/compton-trans"
 	@rm -f $(addprefix "$(DESTDIR)$(MANDIR)"/, compton.1 compton-trans.1)
-	@rm -f "$(DESTDIR)$(APPDIR)/compton.desktop"
 ifneq "$(DOCDIR)" ""
 	@rm -f $(addprefix "$(DESTDIR)$(DOCDIR)"/, README.md compton.sample.conf cdbus-driver.sh)
 endif

=== debian/changelog ===
compton (0.1~beta2-1+6.0trisquel3) toutatis; urgency=low

  * Backported into Toutatis

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 20 Jan 2014 15:41:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: compton
 Section: x11
 Priority: extra
-Maintainer: Scott Leggett <scott@sl.id.au>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends:
  asciidoc,
  debhelper (>= 9.0.0),
@@ -30,7 +30,7 @@
 
 Package: compton
 Architecture: any
-Depends: zenity,  mesa-utils, 
+Depends:
  ${misc:Depends},
  ${shlibs:Depends}
 Description: compositor for X11, based on xcompmgr

## compton 1

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 PREFIX ?= /usr
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/share/man/man1
+APPDIR ?= $(PREFIX)/share/applications
+ICODIR ?= $(PREFIX)/share/icons/hicolor/
 
 PACKAGES = x11 xcomposite xfixes xdamage xrender xext xrandr
 LIBS = -lm -lrt
@@ -17,12 +19,14 @@
 CFG = -std=c99
 
 # ==== Xinerama ====
+# Enables support for --xinerama-shadow-crop
 ifeq "$(NO_XINERAMA)" ""
   CFG += -DCONFIG_XINERAMA
   PACKAGES += xinerama
 endif
 
 # ==== libconfig ====
+# Enables configuration file parsing support
 ifeq "$(NO_LIBCONFIG)" ""
   CFG += -DCONFIG_LIBCONFIG
   PACKAGES += libconfig
@@ -33,49 +37,71 @@
 endif
 
 # ==== PCRE regular expression ====
+# Enables support for PCRE regular expression pattern in window conditions
 ifeq "$(NO_REGEX_PCRE)" ""
   CFG += -DCONFIG_REGEX_PCRE
   LIBS += $(shell pcre-config --libs)
   INCS += $(shell pcre-config --cflags)
+  # Enables JIT support in libpcre
   ifeq "$(NO_REGEX_PCRE_JIT)" ""
     CFG += -DCONFIG_REGEX_PCRE_JIT
   endif
 endif
 
 # ==== DRM VSync ====
+# Enables support for "drm" VSync method
 ifeq "$(NO_VSYNC_DRM)" ""
   INCS += $(shell pkg-config --cflags libdrm)
   CFG += -DCONFIG_VSYNC_DRM
 endif
 
 # ==== OpenGL ====
+# Enables support for GLX backend, OpenGL VSync methods, etc.
 ifeq "$(NO_VSYNC_OPENGL)" ""
   CFG += -DCONFIG_VSYNC_OPENGL
   # -lGL must precede some other libraries, or it segfaults on FreeBSD (#74)
   LIBS := -lGL $(LIBS)
   OBJS += opengl.o
+  # Enables support for GLSL (GLX background blur, etc.)
   ifeq "$(NO_VSYNC_OPENGL_GLSL)" ""
     CFG += -DCONFIG_VSYNC_OPENGL_GLSL
   endif
+  # Enables support for GL FBO (GLX multi-pass blur, etc.)
   ifeq "$(NO_VSYNC_OPENGL_FBO)" ""
     CFG += -DCONFIG_VSYNC_OPENGL_FBO
   endif
+  # Enables support for GL VBO (does nothing right now)
   ifeq "$(NO_VSYNC_OPENGL_VBO)" ""
     CFG += -DCONFIG_VSYNC_OPENGL_VBO
   endif
 endif
 
 # ==== D-Bus ====
+# Enables support for --dbus (D-Bus remote control)
 ifeq "$(NO_DBUS)" ""
   CFG += -DCONFIG_DBUS
   PACKAGES += dbus-1
   OBJS += dbus.o
 endif
 
+# ==== X Sync ====
+# Enables support for --xrender-sync-fence
+ifeq "$(NO_XSYNC)" ""
+  CFG += -DCONFIG_XSYNC
+endif
+
 # ==== C2 ====
+# Enable window condition support
 ifeq "$(NO_C2)" ""
   CFG += -DCONFIG_C2
   OBJS += c2.o
+endif
+
+# ==== X resource checker ====
+# Enable X resource leakage checking (Pixmap only, presently)
+ifneq "$(ENABLE_XRESCHECK)" ""
+  CFG += -DDEBUG_XRC
+  OBJS += xrescheck.o
 endif
 
 # === Version string ===
@@ -84,21 +110,26 @@
 
 LDFLAGS ?= -Wl,-O1 -Wl,--as-needed
 
-ifeq "$(CFG_DEV)" ""
-  CFLAGS ?= -DNDEBUG -O2 -D_FORTIFY_SOURCE=2
-else
-  CC = clang
-  export LD_ALTEXEC = /usr/bin/ld.gold
-  OBJS += backtrace-symbols.o
-  LIBS += -lbfd
+BUILD_TYPE ?= "Debug"
+
+ifeq "$(BUILD_TYPE)" "Release"
+  CFLAGS += -DNDEBUG -O2 -D_FORTIFY_SOURCE=2
+else ifeq "$(BUILD_TYPE)" "Debug"
   CFLAGS += -ggdb -Wshadow
-  # CFLAGS += -Weverything -Wno-disabled-macro-expansion -Wno-padded -Wno-gnu
+endif
+
+ifeq "$(ENABLE_SAN)" "1"
+  CFLAGS += -fsanitize=address,undefined
+else ifeq "$(ENABLE_SAN)" "thread"
+  CFLAGS += -fsanitize=thread
+else ifeq "$(ENABLE_SAN)" "memory"
+  CFLAGS += -fsanitize=memory
 endif
 
 LIBS += $(shell pkg-config --libs $(PACKAGES))
 INCS += $(shell pkg-config --cflags $(PACKAGES))
 
-CFLAGS += -Wall
+CFLAGS += -Wall -Wimplicit-fallthrough
 
 BINS = compton bin/compton-trans
 MANPAGES = man/compton.1 man/compton-trans.1
@@ -125,9 +156,17 @@
 docs: $(MANPAGES) $(MANPAGES_HTML)
 
 install: $(BINS) docs
-	@install -d "$(DESTDIR)$(BINDIR)" "$(DESTDIR)$(MANDIR)"
-	@install -m755 $(BINS) "$(DESTDIR)$(BINDIR)"/ 
+	@install -d "$(DESTDIR)$(BINDIR)" "$(DESTDIR)$(MANDIR)" "$(DESTDIR)$(APPDIR)"
+	@install -m755 $(BINS) "$(DESTDIR)$(BINDIR)"/
+ifneq "$(MANPAGES)" ""
 	@install -m644 $(MANPAGES) "$(DESTDIR)$(MANDIR)"/
+endif
+	@install -d \
+		"$(DESTDIR)$(ICODIR)/scalable/apps" \
+		"$(DESTDIR)$(ICODIR)/48x48/apps"
+	@install -m644 media/compton.svg "$(DESTDIR)$(ICODIR)/scalable/apps"/
+	@install -m644 media/icons/48x48/compton.png "$(DESTDIR)$(ICODIR)/48x48/apps"/
+	@install -m644 compton.desktop "$(DESTDIR)$(APPDIR)"/
 ifneq "$(DOCDIR)" ""
 	@install -d "$(DESTDIR)$(DOCDIR)"
 	@install -m644 README.md compton.sample.conf "$(DESTDIR)$(DOCDIR)"/
@@ -137,6 +176,7 @@
 uninstall:
 	@rm -f "$(DESTDIR)$(BINDIR)/compton" "$(DESTDIR)$(BINDIR)/compton-trans"
 	@rm -f $(addprefix "$(DESTDIR)$(MANDIR)"/, compton.1 compton-trans.1)
+	@rm -f "$(DESTDIR)$(APPDIR)/compton.desktop"
 ifneq "$(DOCDIR)" ""
 	@rm -f $(addprefix "$(DESTDIR)$(DOCDIR)"/, README.md compton.sample.conf cdbus-driver.sh)
 endif

=== debian/changelog ===
compton (1-3) unstable; urgency=medium

  * New maintainer. (Closes: #960779)
  * Neither recommend or suggest picom. It is a fork of compton,
    so a separate product.
  * 'd/control': Move from transtional package libgl1-mesa-dev to libgl-dev.
  * 'd/control': Update 'Standards-Version' to 4.6.2, no changes required.
  * 'd/control': Remove ' Section: oldlibs'.
  * 'd/control': Remove message that compton is deprecated and to be removed
    and use the picom package instead.
    - Picom is a fork of compton, so different. Allow the user to decide which
      better suits their needs.
  * Removed 'd/watch' for now. Upstream compton redirects to picom.
  * Removed 'd/NEWS'. compton is still useful. Decision on removal can be
    taken at a later date, when it is no longer useful.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 25 Jan 2024 12:52:11 +0000

compton (1-2) unstable; urgency=medium

  * QA upload.
  * Remove pcre support. (Closes: #1000097)
  * Correct the download source. (Closes: #908533)

 -- Bastian Germann <bage@debian.org>  Fri, 18 Aug 2023 08:56:05 +0200

compton (1-1) unstable; urgency=medium

  * QA upload.
  * Package the first bugfix release of picom as compton.
  * Refresh patches.
  * Add a deprecation notice.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 16 Dec 2020 16:06:50 +0100

compton (0.1~beta2+20150922-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See: #960779)
  * Point Vcs to salsa.
  * Update Standards-Version to 4.5.0
    - Update Priority to optional.
  * Use debhelper-compat.
    - Update compat level to 13.
  * Use https with copyright-format uri.
  * Fix FTCBFS. (Closes: #878367)
    - Thanks to Helmut Grohne.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 25 May 2020 22:59:22 +0100

=== debian/control ===
Source: compton
Section: x11
Priority: optional
Maintainer: Phil Wyett <philip.wyett@kathenas.org>
Build-Depends: debhelper-compat (= 13),
    asciidoc,
    docbook-xml,
    docbook-xsl,
    libconfig-dev,
    libdbus-1-dev,
    libdrm-dev,
    libgl-dev,
    libx11-dev,
    libxcomposite-dev,
    libxdamage-dev,
    libxext-dev,
    libxfixes-dev,
    libxinerama-dev,
    libxml2-utils,
    libxrandr-dev,
    libxrender-dev,
    pkg-config,
    xsltproc
Standards-Version: 4.6.2
Homepage: https://github.com/chjj/compton
Vcs-Git: https://salsa.debian.org/debian/compton.git
Vcs-Browser: https://salsa.debian.org/debian/compton

Package: compton
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: compositor for X11, based on xcompmgr
 compton is a compositor for X11, based on xcompmgr. In addition to shadows,
 fading and translucency, compton implements window frame opacity control,
 inactive window transparency, and shadows on argb windows.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 %:
 	dh $@
+
+override_dh_auto_build:
+	dh_auto_build -- NO_REGEX_PCRE=1

## compton 1-1%2B11.0trisquel11

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # GNU make may get unhappy.
 
 CC ?= gcc
+PKG_CONFIG ?= pkg-config
 
 PREFIX ?= /usr
 BINDIR ?= $(PREFIX)/bin
@@ -33,7 +34,7 @@
 
   # libconfig-1.3* does not define LIBCONFIG_VER* macros, so we use
   # pkg-config to determine its version here
-  CFG += $(shell pkg-config --atleast-version=1.4 libconfig || echo '-DCONFIG_LIBCONFIG_LEGACY')
+  CFG += $(shell $(PKG_CONFIG) --atleast-version=1.4 libconfig || echo '-DCONFIG_LIBCONFIG_LEGACY')
 endif
 
 # ==== PCRE regular expression ====
@@ -51,7 +52,7 @@
 # ==== DRM VSync ====
 # Enables support for "drm" VSync method
 ifeq "$(NO_VSYNC_DRM)" ""
-  INCS += $(shell pkg-config --cflags libdrm)
+  INCS += $(shell $(PKG_CONFIG) --cflags libdrm)
   CFG += -DCONFIG_VSYNC_DRM
 endif
 
@@ -126,8 +127,8 @@
   CFLAGS += -fsanitize=memory
 endif
 
-LIBS += $(shell pkg-config --libs $(PACKAGES))
-INCS += $(shell pkg-config --cflags $(PACKAGES))
+LIBS += $(shell $(PKG_CONFIG) --libs $(PACKAGES))
+INCS += $(shell $(PKG_CONFIG) --cflags $(PACKAGES))
 
 CFLAGS += -Wall -Wimplicit-fallthrough

=== debian/changelog ===
compton (1-1+11.0trisquel11) aramo; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 26 Jun 2022 12:08:06 +0000
